Bug 1007706 - [abrt] mate-panel-1.6.1-2.fc19: fill_location_entry_model: Process /usr/libexec/mate-panel/clock-applet was killed by signal 11 (SIGSEGV)
[abrt] mate-panel-1.6.1-2.fc19: fill_location_entry_model: Process /usr/libex...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: mate-panel (Show other bugs)
19
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Dan Mashal
Fedora Extras Quality Assurance
abrt_hash:768f39b3a0814c0c78f21902928...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-13 03:36 EDT by redhung.lee
Modified: 2013-09-22 20:23 EDT (History)
7 users (show)

See Also:
Fixed In Version: libmateweather-1.6.2-3.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-14 20:50:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (38.78 KB, text/plain)
2013-09-13 03:36 EDT, redhung.lee
no flags Details
File: cgroup (140 bytes, text/plain)
2013-09-13 03:36 EDT, redhung.lee
no flags Details
File: core_backtrace (16.92 KB, text/plain)
2013-09-13 03:36 EDT, redhung.lee
no flags Details
File: dso_list (9.82 KB, text/plain)
2013-09-13 03:36 EDT, redhung.lee
no flags Details
File: environ (931 bytes, text/plain)
2013-09-13 03:36 EDT, redhung.lee
no flags Details
File: exploitable (82 bytes, text/plain)
2013-09-13 03:36 EDT, redhung.lee
no flags Details
File: limits (1.29 KB, text/plain)
2013-09-13 03:36 EDT, redhung.lee
no flags Details
File: maps (30.84 KB, text/plain)
2013-09-13 03:37 EDT, redhung.lee
no flags Details
File: open_fds (849 bytes, text/plain)
2013-09-13 03:37 EDT, redhung.lee
no flags Details
File: proc_pid_status (788 bytes, text/plain)
2013-09-13 03:37 EDT, redhung.lee
no flags Details
File: var_log_messages (327 bytes, text/plain)
2013-09-13 03:37 EDT, redhung.lee
no flags Details

  None (edit)
Description redhung.lee 2013-09-13 03:36:28 EDT
Version-Release number of selected component:
mate-panel-1.6.1-2.fc19

Additional info:
reporter:       libreport-2.1.6
backtrace_rating: 4
cmdline:        /usr/libexec/mate-panel/clock-applet
crash_function: fill_location_entry_model
executable:     /usr/libexec/mate-panel/clock-applet
kernel:         3.10.11-200.fc19.i686.PAE
runlevel:       N 5
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 fill_location_entry_model at location-entry.c:358
 #1 mateweather_location_entry_build_model at location-entry.c:473
 #2 set_property at location-entry.c:137
 #3 object_set_property at gobject.c:1358
 #4 g_object_constructor at gobject.c:1869
 #6 g_object_new_valist at gobject.c:1836
 #8 mateweather_location_entry_new at location-entry.c:589
 #9 ensure_prefs_window_is_created at clock.c:3125
 #10 display_properties_dialog at clock.c:3167
 #16 _gtk_action_emit_activate at gtkaction.c:795
Comment 1 redhung.lee 2013-09-13 03:36:33 EDT
Created attachment 797189 [details]
File: backtrace
Comment 2 redhung.lee 2013-09-13 03:36:37 EDT
Created attachment 797190 [details]
File: cgroup
Comment 3 redhung.lee 2013-09-13 03:36:41 EDT
Created attachment 797191 [details]
File: core_backtrace
Comment 4 redhung.lee 2013-09-13 03:36:45 EDT
Created attachment 797192 [details]
File: dso_list
Comment 5 redhung.lee 2013-09-13 03:36:48 EDT
Created attachment 797193 [details]
File: environ
Comment 6 redhung.lee 2013-09-13 03:36:52 EDT
Created attachment 797194 [details]
File: exploitable
Comment 7 redhung.lee 2013-09-13 03:36:55 EDT
Created attachment 797195 [details]
File: limits
Comment 8 redhung.lee 2013-09-13 03:37:00 EDT
Created attachment 797196 [details]
File: maps
Comment 9 redhung.lee 2013-09-13 03:37:03 EDT
Created attachment 797197 [details]
File: open_fds
Comment 10 redhung.lee 2013-09-13 03:37:06 EDT
Created attachment 797198 [details]
File: proc_pid_status
Comment 11 redhung.lee 2013-09-13 03:37:10 EDT
Created attachment 797199 [details]
File: var_log_messages
Comment 12 lovyagin 2013-09-13 12:21:56 EDT
Probably after last update I can't open Clock applet configuration, it crashes on both desktop and laptop. 

Also Weather applet doesn't work properly, can't find places, show strage temperature, etc.

reporter:       libreport-2.1.6
backtrace_rating: 4
cmdline:        /usr/libexec/mate-panel/clock-applet
crash_function: fill_location_entry_model
executable:     /usr/libexec/mate-panel/clock-applet
kernel:         3.10.10-200.fc19.x86_64
package:        mate-panel-1.6.1-2.fc19
reason:         Process /usr/libexec/mate-panel/clock-applet was killed by signal 11 (SIGSEGV)
reported_to:    uReport: BTHASH=7e15b294634d101fd136685ad230f4706f2f0100
runlevel:       N 5
uid:            1001
Comment 13 Wolfgang Ulbrich 2013-09-13 12:34:25 EDT
Was libmateweather-1.6.2-2.fc19 in the update?
Both applets are depending on libmateweather.
Comment 14 Wolfgang Ulbrich 2013-09-13 12:42:13 EDT
oops,
can you check if libmateweather-data is installed?
Please install it this should fix the issue.
I will fix this immediately.
Comment 15 lovyagin 2013-09-13 13:14:07 EDT
Yes, sure, libmateweather-1.6.2-2.fc19 was installed yesterday evening, and installing missing libmateweather-data fixed everything, thanks. I'll check some time later on F18 laptop.
Comment 16 Fedora Update System 2013-09-13 15:39:38 EDT
libmateweather-1.6.2-3.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/libmateweather-1.6.2-3.fc19
Comment 17 Fedora Update System 2013-09-13 15:39:57 EDT
libmateweather-1.6.2-3.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/libmateweather-1.6.2-3.fc18
Comment 18 Fedora Update System 2013-09-13 15:40:08 EDT
libmateweather-1.6.2-3.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/libmateweather-1.6.2-3.fc20
Comment 19 Hans Heijmans 2013-09-14 09:33:45 EDT
Left click on date/time in upper right panel; Click on 'Edit' next to 'Locations' in order to change location. Then error occured.

reporter:       libreport-2.1.6
backtrace_rating: 4
cmdline:        /usr/libexec/mate-panel/clock-applet
crash_function: fill_location_entry_model
executable:     /usr/libexec/mate-panel/clock-applet
kernel:         3.10.11-200.fc19.x86_64
package:        mate-panel-1.6.1-2.fc19
reason:         Process /usr/libexec/mate-panel/clock-applet was killed by signal 11 (SIGSEGV)
reported_to:    uReport: BTHASH=d2661423875676af6afd934ad70c407561f59e59
runlevel:       N 5
uid:            1000
Comment 20 chandrakant 2013-09-14 10:27:40 EDT
problem exist since the installation of fedora 19, Date and time always changes, sometimes the applet also crashes.

reporter:       libreport-2.1.6
backtrace_rating: 4
cmdline:        /usr/libexec/mate-panel/clock-applet
crash_function: fill_location_entry_model
executable:     /usr/libexec/mate-panel/clock-applet
kernel:         3.10.11-200.fc19.x86_64
package:        mate-panel-1.6.1-2.fc19
reason:         Process /usr/libexec/mate-panel/clock-applet was killed by signal 11 (SIGSEGV)
runlevel:       N 5
uid:            1000
Comment 21 Fedora Update System 2013-09-14 20:50:11 EDT
libmateweather-1.6.2-3.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 22 Fedora Update System 2013-09-14 20:53:15 EDT
libmateweather-1.6.2-3.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 23 Fedora Update System 2013-09-22 20:23:10 EDT
libmateweather-1.6.2-3.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.